Global Security
11 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| deleteGlobalThreatList | POST | Delete Global Threat List |
| operateGlobalThreats | POST | Operate Global Threats |
| delBlockedCountry | DELETE | Delete blocked countries. |
| getBlockedCountries | POST | Get Blocked Countries |
| addBlockedCountry | POST | Add Blocked Country |
| getGlobalThreatList | GET | Get Global Threat List |
| getThreatCount | GET | Get Threat Count |
| getGlobalTopThreatList | GET | Get Global Top Threat List |
| getGlobalThreatMap | POST | Get Global Threat Map |
| getGlobalCategory | POST | Get Global Category |
| getCountryThreats | POST | Get Country Threats |
deleteGlobalThreatList
POST /openapi/v1/{omadacId}/ips/threat
Delete Global Threat List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema DeleteGlobalThreatOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
threatId | array<SiteTimeIdOpenApiVO> | no | The global view needs to pass in a site ID. |
// omada_call_operation
{
"operationId": "deleteGlobalThreatList",
"body": "{...}"
}Details, permissions and error codes
Delete archived threats in batches
The interface requires one of the permissions:
Global Threat Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
operateGlobalThreats
POST /openapi/v1/{omadacId}/ips/threat/ops
Operate Global Threats
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema OperateGlobalThreatOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
threatId | array<SiteTimeIdOpenApiVO> | no | The global view needs to pass in a siteId. |
type | integer | yes | type,0 - block, 1 - isolate device, 2 - allow from all ips, 3 - allow this ip. |
signatureSuppression | SignatureSuppression | no | (SignatureSuppression not expanded; call omada_get_schema "SignatureSuppression") |
blockName | string | no | Block Name. |
// omada_call_operation
{
"operationId": "operateGlobalThreats",
"body": "{...}"
}Details, permissions and error codes
Perform operations on threats in batches
The interface requires one of the permissions:
Global Threat Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
delBlockedCountry
DELETE /openapi/v1/{omadacId}/security/blocked-country
Delete blocked countries.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema OpsBlockedCountryOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
country | string | no | Country. |
sites | array<string> | no | Site list. |
// omada_call_operation
{
"operationId": "delBlockedCountry",
"body": "{...}"
}Details, permissions and error codes
Delete blocked countries.
The interface requires one of the permissions:
Global Threat Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
getBlockedCountries
POST /openapi/v1/{omadacId}/security/blocked-country
Get Blocked Countries
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema SiteListOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
sites | string | no | Site ID list. |
// omada_call_operation
{
"operationId": "getBlockedCountries",
"body": "{...}"
}Details, permissions and error codes
Get the list of blocked countries
The interface requires one of the permissions:
Global Threat Manager View Only
addBlockedCountry
POST /openapi/v1/{omadacId}/security/blocked-country/add
Add Blocked Country
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema OpsBlockedCountryOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
country | string | no | Country. |
sites | array<string> | no | Site list. |
// omada_call_operation
{
"operationId": "addBlockedCountry",
"body": "{...}"
}Details, permissions and error codes
Add blocked countries to list
The interface requires one of the permissions:
Global Threat Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
getGlobalThreatList
GET /openapi/v1/{omadacId}/security/threat-management
Get Global Threat List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteList | query | string | no | sites are separated by ','. If no value is passed, all sites are selected by default. |
archived | query | boolean | yes | archived |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
filters.startTime | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
filters.endTime | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
filters.severity | query | integer | no | Threat Severity, such as 0:Critical, 1: Major, 2:Moderate, 3:Minor, 4:Low |
sorts.time | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field Threat Description/Classification/Classification Description |
// omada_call_operation
{
"operationId": "getGlobalThreatList",
"params": {
"archived": "<archived>",
"filters.startTime": "<filters.startTime>",
"filters.endTime": "<filters.endTime>"
}
}Details, permissions and error codes
Get the global view threat management list
The interface requires one of the permissions:
Global Threat Manager View Only
getThreatCount
GET /openapi/v1/{omadacId}/security/threat-management/severity
Get Threat Count
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
startTime | query | integer | yes | Start Time |
endTime | query | integer | yes | End Time |
// omada_call_operation
{
"operationId": "getThreatCount",
"params": {
"startTime": "<startTime>",
"endTime": "<endTime>"
}
}Details, permissions and error codes
Get the global view of the number of threats by severity level
The interface requires one of the permissions:
Global Threat Manager View Only
getGlobalTopThreatList
GET /openapi/v1/{omadacId}/security/threat-management/top
Get Global Top Threat List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
startTime | query | integer | yes | Start Time |
endTime | query | integer | yes | End Time |
// omada_call_operation
{
"operationId": "getGlobalTopThreatList",
"params": {
"startTime": "<startTime>",
"endTime": "<endTime>"
}
}Details, permissions and error codes
Get the number of threats in the global view top5
The interface requires one of the permissions:
Global Threat Manager View Only
getGlobalThreatMap
POST /openapi/v1/{omadacId}/security/threat-map
Get Global Threat Map
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema QueryThreatMapOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
start | integer | no | The timestamp for the start time is in milliseconds. |
end | integer | no | The timestamp for the end time is in milliseconds. |
severity | string | no | Severity. |
country | string | no | The country that was attacked. |
sites | string | no | Comma separated sites should be explained. If it is not passed, select all. |
// omada_call_operation
{
"operationId": "getGlobalThreatMap",
"body": "{...}"
}Details, permissions and error codes
Get the data for the initial page of the threat map
The interface requires one of the permissions:
Global Threat Manager View Only
getGlobalCategory
POST /openapi/v1/{omadacId}/security/threat-map/threat-count
Get Global Category
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema QueryThreatMapOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
start | integer | no | The timestamp for the start time is in milliseconds. |
end | integer | no | The timestamp for the end time is in milliseconds. |
severity | string | no | Severity. |
country | string | no | The country that was attacked. |
sites | string | no | Comma separated sites should be explained. If it is not passed, select all. |
// omada_call_operation
{
"operationId": "getGlobalCategory",
"body": "{...}"
}Details, permissions and error codes
The number of threats to attack countries is displayed in categories
The interface requires one of the permissions:
Global Threat Manager View Only
getCountryThreats
POST /openapi/v1/{omadacId}/security/threat-map/threats
Get Country Threats
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema QueryCountryThreatListOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
country | string | no | Country. |
severity | string | no | Displays the number of threats at different levels,0 - very high,1- high, 2- medium,3 - low. |
sites | string | no | List of siteIds, separated by commas (,). All sites are returned if they are not passed. |
currentPage | integer | no | Current Page. |
currentPageSize | integer | no | Current Page Size. |
searchKey | string | no | Search Key. |
searchField | string | no | Specify the search domain, separated by commas, such as "clientMac,clientName".Can be null, in which case the default search domain should be used. |
sorts | string | no | sorts. |
startTime | integer | no | The timestamp for the start time is in milliseconds. |
endTime | integer | no | End Time. |
// omada_call_operation
{
"operationId": "getCountryThreats",
"body": "{...}"
}Details, permissions and error codes
Get threats from individual countries
The interface requires one of the permissions:
Global Threat Manager View Only